[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LazHelpIntf' (#lcl)

# THelpDBISourceDirectory

[Properties (by Name)] [Methods (by Name)] [Events (by Name)]

## Declaration

Source position: lazhelpintf.pas line 223

`type THelpDBISourceDirectory = class(THelpDBISourceFile)`
`public`
`constructor Create();` |  | Constructor for the class instance.
`function FileMatches(); override;` |  |
`published`
`property FileMask: string; [rw]` |  |
`property WithSubDirectories: Boolean; [rw]` |  |
`end;`

## Inheritance

`THelpDBISourceDirectory` |  |
`THelpDBISourceFile` |  |
`THelpDBItem` |  |
`TPersistent`
?
`TObject`